set terminal epslatex size 10cm,10cm
set output 'multimin.tex'
set parametric
set yrange [0:8]
set xrange [0:8]
plot\
'multimin.dat' using 2:3 t 'FR' with linespoints,\
'simplex.dat'  using 2:3 t 'NM' with linespoints,\
cos(t)/sqrt(10.0/10)+1, sin(t)/sqrt(20.0/10)+2 t '',\
cos(t)/sqrt(10.0/20)+1, sin(t)/sqrt(20.0/20)+2 t '',\
cos(t)/sqrt(10.0/40)+1, sin(t)/sqrt(20.0/40)+2 t '',\
cos(t)/sqrt(10.0/90)+1, sin(t)/sqrt(20.0/90)+2 t '',\
cos(t)/sqrt(10.0/180)+1, sin(t)/sqrt(20.0/180)+2 t '',\
cos(t)/sqrt(10.0/360)+1, sin(t)/sqrt(20.0/360)+2 t '',\
cos(t)/sqrt(10.0/700)+1, sin(t)/sqrt(20.0/700)+2 t ''
