#!/usr/bin/env perl

$DEF = 0;
while(<>){
	$DEF_C = $DEF;
	if (/^\[Function\]/) { $DEF_C = 1 }
	elsif (/^\[Macro\]/) { $DEF_C = 1 }
	else                 { $DEF_C = 0 }

	if (($DEF_C == 1)&&($DEF == 0)) { print "\\end{quote}\n\n" }
	if (($DEF_C == 0)&&($DEF == 1)) { print "\\begin{quote}\n" }

	if ($DEF_C == 1) {
		s/\[Function\] /\\gslf{/;
		s/\[Macro\] /\\gslm{/;
		s/ gsl/}{gsl/;
		s/ \(([a-zA-Z])/}{\\gsla{\1/;
		s/\) *$/}/;
		s/ ([_a-zA-Z0-9\[\]]+})$/}{\1}/g;
		s/ ([_a-zA-Z0-9\[\]]+),/}{\1}, \\gsla{/g;
		s/{ /{/g;
		s/_/\\_/g;
		if ($DEF == 1) { print "\\\\" }
	}
	print;

	$DEF = $DEF_C;
}


